View Issue Details

IDProjectCategoryView StatusLast Update
0002535SOGoBackend Calendarpublic2014-02-07 10:53
ReporterPNergy Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
OSLinuxOS VersionDebian 7 Wheezy 
Product Version2.1.1a 
Fixed in Version2.2.0 
Summary0002535: Calendar Mail invitation scored as SPAM due to missing "Message ID" field
Description

When SOGO calendar generates a mail to transmit a invitation, the field "Message ID is missing in the mail header.
STMP server at least generates a warning:
"Dec 6 13:15:55 postfix/smtp[16809]: get message_id fail"
But as soon as mail services includes SPAM detection, the message is scored as a SPAM an not delivered:

Return-Path: <test@pnergy.com>
Delivered-To: support@pnergy.com
Received: from b0.ovh.net (HELO queue) (213.186.33.50)
by b0.ovh.net with SMTP; 6 Dec 2013 16:41:22 +0200
Received: from localhost (HELO mail639.ha.ovh.net) (127.0.0.1)
by localhost with SMTP; 6 Dec 2013 16:41:22 +0200
Received: from b0.ovh.net (HELO queueout) (213.186.33.50)
by b0.ovh.net with SMTP; 6 Dec 2013 16:41:22 +0200
Received: from ves78-1-82-228-29-12.fbx.proxad.net (HELO localhost)
by ns0.ovh.net with SMTP; 6 Dec 2013 16:41:19 +0200
x-sogo-message-type: calendar:cancellation
MIME-Version: 1.0
content-type: multipart/mixed; boundary="----=_=-_OpenGroupware_org_NGMime-1757-1386340847.476871-3------"
date: Fri, 06 Dec 2013 15:40:47 +0100
from: "test" <test@pnergy.com>
subject: =?UTF-8?q?R=C3=A9unionannul=C3=A9e:_=C2=ABtest@pnergy=C2=BB?=
to: "support@pnergy.com"
X-Ovh-Tracer-Id: 16289238377257157165
Message-ID: <82.228.29.12.1386340879.557@ns0.ovh.net>
X-Ovh-Remote: 82.228.29.12 (ves78-1-82-228-29-12.fbx.proxad.net)
X-Ovh-Local: 213.186.33.20 (ns0.ovh.net)
X-OVH-SPAMSTATE: SPAM
X-OVH-SPAMSCORE: 300
X-OVH-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrfeeiledrkeejucetufdoteggodetrfcurfhrohhfihhlvgemucfqggfjnecuuegrihhlohhuthemuceftddtnecuogetfeehtddqtdefucdlfedttddm
X-Spam-Tag: YES (ovhvrmailscanner[300])

NOTA: In above traces, Message-ID field has been added by the ISP mail service.

TagsNo tags attached.

Issue History

Date Modified Username Field Change
2013-12-06 11:36 PNergy New Issue
2014-02-07 10:53 francis Note Added: 0006531
2014-02-07 10:53 francis Status new => resolved
2014-02-07 10:53 francis Fixed in Version => 2.2.0
2014-02-07 10:53 francis Resolution open => fixed
2014-02-07 10:53 francis Assigned To => francis